var  x = 6, y = 14, z =4;
document.write (x += y - x++ * z);
/* Виконується:
1. Постфіксний інкремент 6 (виконається пізніше)
2. Множення 6*4=24
3. Віднімання 14-24=-10
4. Присвоєння з додаванням, 6 + (-10)= -4
 */
var  x = 6, y = 14, z =4;
document.write (z = --x - y * 5 );
/* Виконується:
1. Префіксний декремент, тобто х= 5
2. Множення 14*5 = 70
3. Віднімання 5 - 70 = -65
4. Присвоєння, тобто z тепер = -65
 */
var  x = 6, y = 14, z =4;
document.write (y /= x + 5 % z);
/*Виконується:
1. Залишок від ділення 5/4=1
2. Додавання 6+1=7
3. Присвоєння з розподілом тобто 14/7 =2
 */
var  x = 6, y = 14, z =4;
document.write (z - x++ + y * 5);
/*Виконується:
1. Постфіксний інкремент 6 (виконається пізніше)
2. Множення 14*5=70
3. Віднімання 4-6 = -2
4. Додавання -2+70 = 68
*/
var  x = 6, y = 14, z =4;
document.write(x = y - x++ * z);
/*Виконується:
1. Постфіксний інкремент 6 (виконається пізніше)
2. Множення 6*4=24
3. Віднімання 14-24=-10
4. Присвоєння х=-10
 */
